Bug 1414786 - texstudio can't detect an installed LaTeX distribution even though texlive is installed
Summary: texstudio can't detect an installed LaTeX distribution even though texlive is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texstudio
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 12:49 UTC by Andre Brait
Modified: 2017-01-21 20:20 UTC (History)
3 users (show)

Fixed In Version: texstudio-2.12.0-2.fc25 texstudio-2.12.0-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-21 19:22:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Andre Brait 2017-01-19 12:49:15 UTC
Description of problem:

I have installed texlive (the full scheme) with dnf and then I installed texstudio. Upon starting it, it exhibits a message window telling me it couldn't find a LaTeX distribution. When I checked the settings, it hadn't assigned anything to latex, pdflatex, etc.

I can confirm these commands are available in the PATH.


Version-Release number of selected component (if applicable):
2.12.0-1.fc25


How reproducible: Always


Steps to Reproduce:
1. Install texlive
2. Install texstudio
3. Start texstudio

Actual results: message saying it couldn't find a LaTeX distribution.


Expected results: normal startup and detection of the LaTeX binaries.


Additional info: None needed.

Comment 1 Edgar Hoch 2017-01-19 16:26:35 UTC
This applies to Fedora 24 too. I have used a computer which has Fedora 24 running for some months and does updates nightly by dnf-automatic.

When I start texstudio by an account which hasn't used texstudio previously.

texstudio-2.12.0-1.fc24.x86_64

Comment 2 Andre Brait 2017-01-19 16:32:30 UTC
One possible workaround (to be confirmed) is to install texstudio 2.11.2, run it once and then let dnf update it to 2.12.0. Anyway, it would still need fixing, apparently upstream.

Comment 3 hannes 2017-01-20 08:40:54 UTC
https://sourceforge.net/p/texstudio/bugs/2037/
It's fixed upstream, will do an upgrade as soon as possible.

Comment 4 Christian Dersch 2017-01-20 09:05:58 UTC
I fixed it, will create the updates now.

Comment 5 hannes 2017-01-20 09:09:39 UTC
Upstream is in the process of producing an update, there's a release candidate for 2.12.2 already. Don't know if it's worth the effort.

Comment 6 Christian Dersch 2017-01-20 09:11:01 UTC
Is a very small patch changing one line, so I just did it, not much effort :)

Comment 7 Fedora Update System 2017-01-20 09:37:09 UTC
texstudio-2.12.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5eb087b619

Comment 8 Fedora Update System 2017-01-20 09:37:17 UTC
texstudio-2.12.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-20bd80dc3f

Comment 9 Fedora Update System 2017-01-20 19:21:40 UTC
texstudio-2.12.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-20bd80dc3f

Comment 10 Fedora Update System 2017-01-20 19:56:42 UTC
texstudio-2.12.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5eb087b619

Comment 11 Fedora Update System 2017-01-21 19:22:44 UTC
texstudio-2.12.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-21 20:20:42 UTC
texstudio-2.12.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.